
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"

GtkWidget *window1;
GtkWidget *vbox1;
GtkWidget *menubar1;
GtkWidget *menuitem1;
GtkWidget *menuitem1_menu;
GtkWidget *sair1;
GtkWidget *menuitem4;
GtkWidget *menuitem4_menu;
GtkWidget *sobre1;
GtkWidget *tips1;
GtkWidget *hbox1;
GtkWidget *entry1;
GtkWidget *btconjg;
GtkWidget *scrolledwindow1;
GtkWidget *textview1;
GtkAccelGroup *accel_group;

GtkWidget*
create_window1 (void)
{

  accel_group = gtk_accel_group_new ();

  window1 = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_window_set_title (GTK_WINDOW (window1), _("GConjugue"));

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (window1), vbox1);

  menubar1 = gtk_menu_bar_new ();
  gtk_widget_show (menubar1);
  gtk_box_pack_start (GTK_BOX (vbox1), menubar1, FALSE, FALSE, 0);

  menuitem1 = gtk_menu_item_new_with_mnemonic (_("_Program"));
  gtk_widget_show (menuitem1);
  gtk_container_add (GTK_CONTAINER (menubar1), menuitem1);

  menuitem1_menu = gtk_menu_new ();
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (menuitem1), menuitem1_menu);

  sair1 = gtk_image_menu_item_new_from_stock ("gtk-quit", accel_group);
  gtk_widget_show (sair1);
  gtk_container_add (GTK_CONTAINER (menuitem1_menu), sair1);

  menuitem4 = gtk_menu_item_new_with_mnemonic (_("_Help"));
  gtk_widget_show (menuitem4);
  gtk_container_add (GTK_CONTAINER (menubar1), menuitem4);

  menuitem4_menu = gtk_menu_new ();
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (menuitem4), menuitem4_menu);

  tips1 = gtk_menu_item_new_with_mnemonic (_("_Tips"));
  gtk_widget_show (tips1);
  gtk_container_add (GTK_CONTAINER (menuitem4_menu), tips1);

  sobre1 = gtk_menu_item_new_with_mnemonic (_("_About"));
  gtk_widget_show (sobre1);
  gtk_container_add (GTK_CONTAINER (menuitem4_menu), sobre1);

  hbox1 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox1);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox1, FALSE, FALSE, 0);

  entry1 = gtk_entry_new ();
  gtk_widget_show (entry1);
  gtk_box_pack_start (GTK_BOX (hbox1), entry1, FALSE, TRUE, 0);
  gtk_entry_set_activates_default (GTK_ENTRY (entry1), TRUE);

  btconjg = gtk_button_new_with_mnemonic (_("conjugate"));
  gtk_widget_show (btconjg);
  gtk_box_pack_start (GTK_BOX (hbox1), btconjg, FALSE, FALSE, 0);
  gtk_button_set_focus_on_click (GTK_BUTTON (btconjg), FALSE);

  scrolledwindow1 = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_show (scrolledwindow1);
  gtk_box_pack_start (GTK_BOX (vbox1), scrolledwindow1, TRUE, TRUE, 0);
  gtk_scrolled_window_set_shadow_type (GTK_SCROLLED_WINDOW (scrolledwindow1), GTK_SHADOW_IN);

  textview1 = gtk_text_view_new ();
  gtk_widget_show (textview1);
  gtk_container_add (GTK_CONTAINER (scrolledwindow1), textview1);

  g_signal_connect((gpointer) window1, "delete_event", G_CALLBACK (on_window1_delete_event), NULL);
  g_signal_connect((gpointer) sair1, "activate", G_CALLBACK (on_sair1_activate), NULL);
  g_signal_connect((gpointer) tips1, "activate", G_CALLBACK (on_tips1_activate), NULL);
  g_signal_connect((gpointer) sobre1, "activate", G_CALLBACK (on_sobre1_activate), NULL);
  g_signal_connect((gpointer) entry1, "activate", G_CALLBACK (on_entry1_activate), NULL);
  g_signal_connect((gpointer) btconjg, "clicked", G_CALLBACK (on_btconjg_clicked),NULL);

  gtk_window_add_accel_group (GTK_WINDOW (window1), accel_group);

  return window1;
}

